List Jobs
curl --request GET \
--url https://api.novita.ai/gpus/v2/jobs \
--header 'Authorization: <authorization>'import requests
url = "https://api.novita.ai/gpus/v2/jobs"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.novita.ai/gpus/v2/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "job-id",
"type": "saveImage",
"envs": [],
"status": {
"status": "Running",
"error": "",
"message": ""
},
"log": "<string>",
"created_at": 1714982400,
"member_id": "member-id",
"owner_id": "owner-id",
"deleted_time": 0,
"update_at": 1714982600,
"instance_id": "instance-id"
}
],
"next_cursor": "eyJpZCI6Im5leHQtcGFnZSJ9",
"has_more": true
}Jobs
List Jobs
GET
/
gpus
/
v2
/
jobs
List Jobs
Headers
Bearer authentication format, e.g.: Bearer {{API_KEY}}.
Query Parameters
Maximum number of items to return. Integer, value >= 0.
Cursor returned by the previous page. Leave empty for the first request. String, length: 0-1024 characters.
Filter by job ID.
Filter by job type, e.g.: saveImage, instanceMigrate, autoInstanceMigrate.
Filter by job status.
Lower bound of the creation time range. Unix timestamp.
Upper bound of the creation time range. Unix timestamp.
Filter by creator member ID. Multiple IDs are comma-separated. Maps to member_id in the response.
Last modified on June 23, 2026